import { EventEmitter, OnChanges, OnDestroy, SimpleChanges } from "@angular/core";
import { ChartProvider, ChartView } from "@oneteme/jquery-core";
import * as i0 from "@angular/core";
export declare class PieChartDirective implements ChartView<string, number>, OnChanges, OnDestroy {
    private el;
    private ngZone;
    private readonly chartInstance;
    private readonly typeMapping;
    private _chartConfig;
    private _options;
    type: "pie" | "donut" | "radialBar" | "polarArea" | "radar";
    config: ChartProvider<string, number>;
    data: any[];
    isLoading: boolean;
    customEvent: EventEmitter<'previous' | 'next' | 'pivot'>;
    ngOnDestroy(): void;
    ngOnChanges(changes: SimpleChanges): void;
    private hydrate;
    private createElement;
    private render;
    private destroy;
    private updateConfig;
    private updateLoading;
    private updateType;
    private updateData;
    private updateOptions;
    static ɵfac: i0.ɵɵFactoryDeclaration<PieChartDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<PieChartDirective, "[pie-chart]", never, { "type": { "alias": "type"; "required": true; }; "config": { "alias": "config"; "required": true; }; "data": { "alias": "data"; "required": true; }; "isLoading": { "alias": "isLoading"; "required": false; }; }, { "customEvent": "customEvent"; }, never, never, true, never>;
}
